<?xml version="1.0" encoding="Shift_JIS"?>
<!--
	Ant1.5.1用ビルドファイル
	使い方はant -projecthelp で。
	あらかじめ、クラスパスにTomcatのServlet関係を設定してください。
	例
set TOMCAT_LIB=C:\Java\Tomcat 4.1\common\lib
set CLASSPATH=.
set CLASSPATH=%CLASSPATH%;%TOMCAT_LIB%\servlet.jar
 -->

<project name="kandata" default="launcher" basedir=".">

	<description>リッチ・クライアントによる次世代Webアプリケーション・フレームワーク</description>
	<!-- このビルドのためにグローバルプロパティを設定します -->
	<property name="src"    value="src" />
	<property name="build"  value="build" />
	<property name="dist"   value="kandata-roomreservation" />


	<target name="init" description="開発環境の初期化を行います">
		<!-- コンパイルで使用するビルドディレクトリ構造を作成します -->
		<mkdir dir="${build}" />
	</target>

	<target name="build" depends="init" description="ソースをコンパイルする " >
		<javac srcdir="${src}" destdir="${build}"
				includes="kandata/**"
				debug="on" deprecation="on">
			<classpath>
				<pathelement path="gnu-regexp-1.0.8.jar"/>
				<pathelement path="java-getopt-1_0_8.jar"/>
				<pathelement path="JMichelle-0.8.9-4.jar"/>
			</classpath>
		</javac>

		<javac srcdir="${src}" destdir="${build}"
				includes="jp/**,gnu/**"
				debug="on" deprecation="on">
			<classpath>
				<pathelement path="gnu-regexp-1.0.8.jar"/>
				<pathelement path="java-getopt-1_0_8.jar"/>
				<pathelement path="JMichelle-0.8.6-5.jar"/>
			</classpath>
		</javac>
		<!-- Kandataランチャーを作成します -->
		<copy todir="${build}/resources">
			<fileset dir="${src}/kandata/launcher/resources"/>
		</copy>
		<jar destfile="kandata_launcher.jar">
			<fileset dir="${build}" includes="kandata/**,resources/**"/>
			<fileset dir="${build}" includes="gnu/**,jp/**"/>
			<manifest>
				<attribute name="Built-By" value="${user.name}"/>
				<attribute name="Main-Class" value="kandata.launcher.KandataLauncher" />
			</manifest>
		</jar>
		<copy file="kandata_launcher.jar" tofile="kandata-home/kandata_launcher.jar"/>
	</target>

	<target name="launcher" depends="build" description="ランチャーを起動します" >
		<java classname="kandata.launcher.KandataLauncher" fork="true" dir="." >
			<classpath>
				<pathelement path="kandata_launcher.jar" />
<!--
				<pathelement path="${build}"/>
-->
				<pathelement path="${java.class.path}" />
			</classpath>
		</java>
	</target>

	<target name="clean" description="いらないファイルを消す" >
		<delete>
			<fileset dir="." includes="**/*.class" />
			<fileset dir="." includes="**/*.bak" />
			<fileset dir="." includes="**/*.BAK" />
		</delete>
	</target>

	<target name="javadoc" description="APIリファレンスを作成する">
		<javadoc packagenames="kandata.*" sourcepath="src" destdir="doc/api" 
				windowtitle="Kandata APIリファレンス">
		</javadoc>
	</target>

	<!-- 
	1)あらかじめ、別コンソールでログインしておく
		ssh -l a-san shell.sourceforge.jp 
	2)こちら側でコピー。
		C:\user\java\kandata\src>scp ../doc.tar.gz a-san@shell.sourceforge.jp:/home/groups/k/ka/kandata/htdocs
	3)ssh側で解凍
		cd /home/groups/k/ka/kandata/htdocs
		gunzip doc.tar.gz
		tar -xvvf doc.tar
	-->
	<target name="release" depends="clean,build,javadoc"
				description="SOURCEFORGEのホームページにUPするためのファイルを作成する">
		<tar tarfile="../doc.tar" basedir="doc" />
		<gzip src="../doc.tar" zipfile="../doc.tar.gz" />
		<zip destfile="../kandata-yyyymmdd.zip" basedir=".." includes="work/**/*" />
		<echo message="ファイル名を現在の日付に変えてください。../kandata-yyyymmdd.zip"/>
	</target>

	<target name="euc" depends="clean" description="doc以下をeucに変換します">
		<copy todir="doc.unicode">
			<fileset dir="doc" excludes="**/*.html"/>
		</copy>
		<copy todir="doc.euc">
			<fileset dir="doc" excludes="**/*.html"/>
		</copy>
		<native2ascii src="doc" dest="doc.unicode"
			includes="**/*.html" />
		<native2ascii src="doc.unicode" dest="doc.euc" reverse="true" encoding="EUCJIS"
			includes="**/*.html" />
		<tar tarfile="../doc.tar" basedir="doc.euc" />
		<gzip src="../doc.tar" zipfile="../doc.tar.gz" />
		<delete dir="doc.unicode"/>
		<delete dir="doc.euc"/>
	</target>
</project>
